Loading...
Searching...
No Matches
etl::forward_link< ID_ > Struct Template Reference

A forward link. More...

`#include <intrusive_links.h>`

## Public Types

enum | { ID = ID_ }

## Public Member Functions

ETL_CONSTEXPR | forward_link (forward_link *p_next)
ETL_CONSTEXPR | forward_link (const forward_link &other)
ETL_CONSTEXPR14 forward_link & | operator= (const forward_link &other)
void | clear ()
ETL_NODISCARD bool | is_linked () const
ETL_NODISCARD bool | has_next () const
void | set_next (forward_link *n)
void | set_next (forward_link &n)
ETL_NODISCARD forward_link * | get_next () const

## Public Attributes

forward_link * | etl_next

## Detailed Description

template<size_t ID_>
struct etl::forward_link< ID_ >

A forward link.

The documentation for this struct was generated from the following file:

- include/etl/intrusive_links.h